aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/commitcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/commitcheck.sh')
-rwxr-xr-xscripts/commitcheck.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/scripts/commitcheck.sh b/scripts/commitcheck.sh
index 71cf52166..0077eb6b0 100755
--- a/scripts/commitcheck.sh
+++ b/scripts/commitcheck.sh
@@ -87,9 +87,7 @@ coverity_fix_commit()
IFS='
'
for line in $(git log -n 1 --pretty=%b "$REF" | grep -E '^CID'); do
- echo "$line" | grep -E '^CID [[:digit:]]+: ([[:graph:]]+|[[:space:]])+ \(([[:upper:]]|\_)+\)' > /dev/null
- # shellcheck disable=SC2181
- if [ $? -ne 0 ]; then
+ if ! echo "$line" | grep -qE '^CID [[:digit:]]+: ([[:graph:]]+|[[:space:]])+ \(([[:upper:]]|\_)+\)'; then
echo "error: commit message has an improperly formatted CID defect line"
error=1
fi